Snoze Developers
API referenceSurfaces

Update

PATCH
/v1/workspaces/{workspaceId}/surfaces/{surfaceId}
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string
surfaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/workspaces/string/surfaces/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "workspaceId": "string",    "kind": "page",    "title": "string",    "icon": "string",    "manifest": {},    "createdAt": "string",    "updatedAt": "string",    "itemId": "string"  }}